package yidong

// ActivityExamineReq 用户报名审核结构体
type ActivityExamineReq struct {
	ActivityId string             `description:"文章ID" json:"activity_id"`
	Time       int                `description:"时间戳" json:"time"`
	Appid      string             `description:"开放平台给分配的appid" json:"appid"`
	Sign       string             `description:"签名" json:"sign"`
	List       []ExamineStatusReq `description:"审核结果" json:"list"`
}

type ExamineStatusReq struct {
	Mobile        string `description:"手机号" json:"mobile"`
	CreateTime    string `description:"报名时间" json:"create_time"`
	ExamineStatus int    `description:"审核状态 1，通过、2：未通过、3：取消报名" json:"examine_status"`
}

// ActivityExamineReq 用户报名审核结构体
type ActivitySignUpReq struct {
	ActivityId string `description:"文章ID" json:"activity_id"`
	Time       int    `description:"时间戳" json:"time"`
	Mobile     string `description:"手机号" json:"mobile"`
	Appid      string `description:"开放平台给分配的appid" json:"appid"`
	Sign       string `description:"签名" json:"sign"`
}
