package routers

import (
	beego "github.com/beego/beego/v2/server/web"
	"github.com/beego/beego/v2/server/web/context/param"
)

func init() {

    beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:Admin"] = append(beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:Admin"],
        beego.ControllerComments{
            Method: "Create",
            Router: `/create`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:CompanyUser"] = append(beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:CompanyUser"],
        beego.ControllerComments{
            Method: "GetUserReportList",
            Router: `/user_report_list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:CompanyUser"] = append(beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:CompanyUser"],
        beego.ControllerComments{
            Method: "GetUserReportViewTotalList",
            Router: `/view_total_list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:DayNewController"] = append(beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:DayNewController"],
        beego.ControllerComments{
            Method: "RefreshMsg",
            Router: `/refresh`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:DayNewController"] = append(beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:DayNewController"],
        beego.ControllerComments{
            Method: "TranslateContent",
            Router: `/translate`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:QuanShiControllerCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:QuanShiControllerCommon"],
        beego.ControllerComments{
            Method: "CallBack",
            Router: `/callback`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:ReportController"] = append(beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:ReportController"],
        beego.ControllerComments{
            Method: "ArticleChange",
            Router: `/article/change`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:ReportController"] = append(beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:ReportController"],
        beego.ControllerComments{
            Method: "ClassifyList",
            Router: `/classify/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:ReportController"] = append(beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:ReportController"],
        beego.ControllerComments{
            Method: "ListReport",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:ReportController"] = append(beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:ReportController"],
        beego.ControllerComments{
            Method: "ListReportV2",
            Router: `/list/v2`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:ReportControllerCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:ReportControllerCommon"],
        beego.ControllerComments{
            Method: "GetResearchReportChapter",
            Router: `/getReportChapterInfo`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:ReportControllerCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:ReportControllerCommon"],
        beego.ControllerComments{
            Method: "GetResearchReportChapterV2",
            Router: `/getReportChapterInfo/v2`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:ReportControllerCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:ReportControllerCommon"],
        beego.ControllerComments{
            Method: "GetReportInfo",
            Router: `/getReportInfo`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:ReportControllerCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:ReportControllerCommon"],
        beego.ControllerComments{
            Method: "GetReportInfoV2",
            Router: `/getReportInfo/v2`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:ReportControllerCommon"] = append(beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:ReportControllerCommon"],
        beego.ControllerComments{
            Method: "GetTickerData",
            Router: `/getTickerData`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:WeworkController"] = append(beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:WeworkController"],
        beego.ControllerComments{
            Method: "Notify",
            Router: `/notify`,
            AllowHTTPMethods: []string{"get","post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:YiDongController"] = append(beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:YiDongController"],
        beego.ControllerComments{
            Method: "ActivityExamine",
            Router: `/activity/examine/signup`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:YiDongController"] = append(beego.GlobalControllerRouter["hongze/hongze_open_api/controllers:YiDongController"],
        beego.ControllerComments{
            Method: "UserSignup",
            Router: `/activity/user/signup`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

}
